Issue 44139

Summary: Yes-No question in dialog should have Yes-No answer buttons (+ Cancel)
Product: General Reporter: vr8ce <vr8ce>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Minor    
Priority: P4 CC: elish, henry.debey, issues, rainerbielefeld_ooo_qa
Version: OOo 2.0 Beta   
Target Milestone: ---   
Hardware: PC   
OS: Windows, all   
Issue Type: ENHANCEMENT Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---

Description vr8ce 2005-03-05 04:52:36 UTC
1.  Open any document in Writer.
2.  Make a change (*any* change) to the document.
3.  Type Ctrl-F4 to close the document.

A dialog displays with a title of "OpenOffice.org 1.9.79" and text of "The
Document '<filename>' has been modified. Do you want to save your changes?"  The
buttons on the dialog are "&Save", "&Discard", and "Cancel".

This is extremely cumbersome.  That dialog is universally (on Windows anyway) a
Yes/No/Cancel question, i.e. "Do you want to save the changes?"  Those of us who
keyboard automatically hit Y or N.  In Writer (and presumably the other OO apps,
although I haven't tried them yet), we have to remember to use S or D.  Since OO
is one app out of a dozen we use on a regular basis, we never remember.

In the interest of MS Office compatability alone, this dialog should be changed
to "Do you want to save the changes" with buttons of "&Yes", "&No" and "Cancel".

I searched for "discard" and a couple of other things, and could not find this
issue.  I consider it a P3 issue, but I didn't guess the "powers that be" would. :)

Thank you.
Comment 1 michael.ruess 2005-03-06 10:47:43 UTC
Framework issue.
Comment 2 mci 2005-07-26 12:39:53 UTC
reassigned to requirements
Comment 3 ace_dent 2008-05-16 00:23:05 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 henry.debey 2011-04-27 06:24:27 UTC
I am surprised this issue doesn't bother more people but it certainly bothers me.  

The dialog doesn't even make for polite conversation between me and my computer.  My computer asks "Do you want to save your changes?".  Intuitively, I would respond "Yes" or "No", that is "yes, save" or "no, don't save".  Why this save and discard business?

And more importantly from a user interface perspective, why choose two characters right next to each other on the keyboard.  It is so easy to hit the "D" key instead of the "S" key and then we are back to the good old days of early computers when a person spent hours or even days creating a document only to have a silly little mistake dump all of that effort down the gurgler.

Why not choose the keys Q and L at opposite ends of the keyboard?  You know Q for "Quash my changes" and "L for Leave my precious changes alone".  Or at the very least stick with a well established paradigm and use Yes and No.
Comment 5 Edwin Sharp 2014-03-06 08:55:55 UTC
IMHO 
Do you want to save your changes?
Yes  No  Cancel

or

How to handle your changes?
Save  Discard  Cancel
Comment 6 Rainer Bielefeld 2014-06-02 20:52:10 UTC
I prefer Comment 5 "How to handle your changes?" solution, but I think most users are used to Y/N
Comment 7 mroe 2014-06-03 19:58:25 UTC
I prefer

for a new file

| Do you want to save your changes?
| If you do not save the file all your changes are lost.
| [Save]  [Cancel]  [Discard]


for an edited file

| Do you want to save your changes?
| If you do not save the file all your changes are lost.
| [Save]  [Save As]  [Cancel]  [Discard]


Yes/No would be the right syntactical answer. But the user have to choose what the program should do. (There are other programs - e. g. Gimp - with similar options: [save not] [cancel] [save].)
The user does not need to read the question.